# Interface methods for submodule: VnlForwardFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ForwardFFTImageFilterProxy as _ForwardFFTImageFilterProxy


# Interface methods for class: VnlForwardFFTImageFilter
class VnlForwardFFTImageFilterProxy(_ForwardFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

